#ifndef XDYNENTITYCOLL_H
#define XDYNENTITYCOLL_H

#include "xasset.h"

#include <QVector>

class XDynEntityColl : public XAsset
{
public:
    explicit XDynEntityColl();
    ~XDynEntityColl();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint16 mSector;
    quint16 mNextEntInSector;
    QVector<float> mLinkMins;
    QVector<float> mLinkMaxs;
};

#endif // XDYNENTITYCOLL_H
